Preview column expression
POST
/api/v1/livedoc/query/preview-column
const url = 'https://app.avera.io/api/v1/livedoc/query/preview-column';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"source":{"type":"example","itemTypeId":"example","itemId":"example","useCurrentItem":true,"levels":[{"direction":"example","relationshipTypeId":"example","itemTypeId":"example","recursive":true,"maxDepth":1}],"relationshipTypeId":"example","direction":"example","path":"example","maxDepth":1,"expression":"example","filter":"example"},"expression":"example","sampleSize":1,"contextItemId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/livedoc/query/preview-column \ --header 'Content-Type: application/json' \ --data '{ "source": { "type": "example", "itemTypeId": "example", "itemId": "example", "useCurrentItem": true, "levels": [ { "direction": "example", "relationshipTypeId": "example", "itemTypeId": "example", "recursive": true, "maxDepth": 1 } ], "relationshipTypeId": "example", "direction": "example", "path": "example", "maxDepth": 1, "expression": "example", "filter": "example" }, "expression": "example", "sampleSize": 1, "contextItemId": "example" }'Test a column expression against sample items
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
source
required
object
type
required
string
itemTypeId
string | null
itemId
string | null
useCurrentItem
boolean | null
levels
Array<object> | null
object
direction
string | null
relationshipTypeId
string | null
itemTypeId
string | null
recursive
required
boolean
maxDepth
required
integer format: int32
relationshipTypeId
string | null
direction
string | null
path
string | null
maxDepth
integer | null format: int32
expression
string | null
filter
string | null
expression
required
string
sampleSize
integer | null format: int32
contextItemId
string | null
Example generated
{ "source": { "type": "example", "itemTypeId": "example", "itemId": "example", "useCurrentItem": true, "levels": [ { "direction": "example", "relationshipTypeId": "example", "itemTypeId": "example", "recursive": true, "maxDepth": 1 } ], "relationshipTypeId": "example", "direction": "example", "path": "example", "maxDepth": 1, "expression": "example", "filter": "example" }, "expression": "example", "sampleSize": 1, "contextItemId": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
samples
required
Array<object>
object
itemNumber
required
string
value
null
executionTimeMs
required
integer format: int64